Skip to content
Back to top
View this page

# `incus file push`

Push files into instances

## Synopsis

[96;1;4mDescription:[0;22;24m
Push files into instances

    incus file push [32m<path>[0m[2m...[22m [2m[[22m[32m<remote>[0m:[2m][22m[32m<instance>[0m/[32m<target path>[0m [flags]

## Examples

      incus file push /etc/hosts foo/etc/hosts
         To push /etc/hosts into the instance "foo".

      echo "Hello world" | incus file push - foo/root/test
         To read "Hello world" from standard input and write it into /root/test in instance "foo".

## Options

      -p, --create-dirs   Create any directories necessary
          --gid           Set the files' GIDs on push (in recursive mode, only sets the target directory's GID if it doesn't exist and -p is used) (default -1)
          --mode          Set the file's perms on push (in recursive mode, sets the target directory's permissions if it doesn't exist)
      -r, --recursive     Recursively transfer files
          --uid           Set the files' UIDs on push (in recursive mode, only sets the target directory's UID if it doesn't exist and -p is used) (default -1)

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus file - Manage files in instances